Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	implementation of the dirac video codec in C
Name:		schroedinger
Version:	1.0.9
Release:	1
License: 	LGPL/MIT/MPL
URL:		http://schrodinger.sourceforge.net/
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: glib-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: liboil-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: orc-devel
BuildRequires: pkg-config

%description
Schrodinger is a project implementing the Dirac video codec in ANSI C code.
It is meant to be highly optimized and portable.
Schrodinger is developed as a joint effort between the BBC and Fluendo.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--includedir=%_includedir 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/*.{a,la}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libschroedinger-1.0.so.*
#%_libdir/gstreamer-0.10/libgstschro.so

%files devel
%defattr(-,root,root)
%{_includedir}/schroedinger-1.0
%{_libdir}/libschroedinger-1.0.so
%{_pkgconfig}/schroedinger-1.0.pc
%{_datadir}/gtk-doc/html/schroedinger


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9-1
- Version update
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.6-1
- Version update
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Mon Feb 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.0-1
- Version update
* Mon Aug 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- Initial Release
